diff options
author | Ferdinand Thiessen <opensource@fthiessen.de> | 2025-03-11 18:36:41 +0100 |
---|---|---|
committer | Ferdinand Thiessen <opensource@fthiessen.de> | 2025-03-11 18:36:41 +0100 |
commit | 251a19d6ea3704fc41c1c068729921782bd24b6b (patch) | |
tree | a7eeb8e19ce26e741adbc0325a7885a19acc9446 /build | |
parent | bbd3a3cd87e4134cd3211d77c7ccd357f6c28095 (diff) | |
download | nextcloud-server-chore/drop-jsdoc.tar.gz nextcloud-server-chore/drop-jsdoc.zip |
chore(dev-deps): Drop dependency on jsdocchore/drop-jsdoc
It is not used anymore and it yields not usable documentation anymore.
This is a leftover from like 11 years ago.
Signed-off-by: Ferdinand Thiessen <opensource@fthiessen.de>
Diffstat (limited to 'build')
-rwxr-xr-x | build/buildjsdocs.sh | 40 |
1 files changed, 0 insertions, 40 deletions
diff --git a/build/buildjsdocs.sh b/build/buildjsdocs.sh deleted file mode 100755 index e40ecd7242b..00000000000 --- a/build/buildjsdocs.sh +++ /dev/null @@ -1,40 +0,0 @@ -#!/usr/bin/env bash -# -# SPDX-FileCopyrightText: 2018 Nextcloud GmbH and Nextcloud contributors -# SPDX-FileCopyrightText: 2014-2015 ownCloud, Inc. -# SPDX-License-Identifier: AGPL-3.0-only -# -# Run JS tests -# -NPM="$(which npm 2>/dev/null)" -OUTPUT_DIR="jsdocs" - -JS_FILES="../core/js/*.js ../core/js/**/*.js ../apps/*/js/*.js" - -if test -z "$NPM" -then - echo 'Node JS >= 0.8 is required to build the documentation' >&2 - exit 1 -fi - -# update/install test packages -$NPM install --prefix . --link jsdoc || exit 3 - -JSDOC_BIN="$(which jsdoc 2>/dev/null)" - -# If not installed globally, try local version -if test -z "$JSDOC_BIN" -then - JSDOC_BIN="./node_modules/jsdoc/jsdoc.js" -fi - -if test -z "$JSDOC_BIN" -then - echo 'jsdoc executable not found' >&2 - exit 2 -fi - -mkdir -p "$OUTPUT_DIR" - -NODE_PATH="./node_modules" $JSDOC_BIN -d "$OUTPUT_DIR" $JS_FILES - |